Due to a recent update on Javascript code a full page refresh on your browser might be needed.
Bug 1336611 - graphical upgrade silently fails in pk-offline-update due to missing package
Summary: graphical upgrade silently fails in pk-offline-update due to missing package
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: PackageKit
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1308538
TreeView+ depends on / blocked
 
Reported: 2016-05-17 02:08 UTC by Chris Murphy
Modified: 2016-12-20 20:31 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-20 20:31:53 UTC
Type: Bug


Attachments (Terms of Use)
journal_bug1336611.txt (238.28 KB, text/plain)
2016-05-17 02:10 UTC, Chris Murphy
no flags Details

Description Chris Murphy 2016-05-17 02:08:57 UTC
Description of problem:

Looks like if a package is installed with dnf after the graphical upgrade download has been initiated, it'll cause the offline upgrade to faceplant.


Version-Release number of selected component (if applicable):
PackageKit-1.1.1-1.fc23.x86_64
gnome-software-3.20.1-1.fc24.x86_64

How reproducible:
1 for 1, unknown

Steps to Reproduce:
1. Install Gnome Software 3.20 from copr.
2. Use the new graphical upgrade to upgrade to Fedora 24, clicked Updates tab and then clicked Download.
3. Do some work including apparently 'dnf install nload'
4. 6 hours later, after downloading is done, click the Install button in Gnome Software

Actual results:

Reboot happens, I get a status in the upper left hand corner that seems to get no more than single digits and then an abrupt reboot. No error messages in GNOME shell, but in the journal I see:

[    6.894903] f23m.localdomain pk-offline-update[780]: status download
[    6.895168] f23m.localdomain pk-offline-update[780]: package downloading	nload-0.7.4-7.fc24.x86_64 (fedora)
[    6.895422] f23m.localdomain pk-offline-update[780]: status finished
[    6.895664] f23m.localdomain pk-offline-update[780]: writing failed results
[    6.895905] f23m.localdomain pk-offline-update[780]: failed to upgrade system: cannot download Packages/n/nload-0.7.4-7.fc24.x86_64.rpm to /var/cache/PackageKit/24/metadata/fedora/packages/: Curl error (6): Couldn't resolve host name for https://mirrors.fedoraproject.org/metalink?repo=fedora-24&arch=x86_64 [Could not resolve host: mirrors.fedoraproject.org]

So it did fail.



Expected results:

Not this.

Possibly after the large download and before rebooting, pk needs to check and see if it really has everything in case the user has done an installation of something in the interim?

Or somehow pk offline update needs to be able to do downloads? Seems like it wants to but that fails for some reason.



Additional info:

By going back to Gnome Software and clicking Download again, and with the status bar starting at the far left making me think I'd have to suffer 6 hours of downloading again, it looks like it found what it wanted in about 30 seconds. The subsequent reboot offline update works and installs F24 successfully.

Comment 1 Chris Murphy 2016-05-17 02:10:58 UTC
Created attachment 1158144 [details]
journal_bug1336611.txt

journal from failed offline update

Comment 2 Chris Murphy 2016-05-17 02:14:16 UTC
Looks like pk-offline-update expects networking to be up in this environment which is clearly not true in this case, NetworkManager hasn't even started.

Comment 3 Kamil Páral 2016-05-17 07:10:51 UTC
I did try to use dnf after Download finished and before I clicked Install and hit bug 1336459. However, I was not that sneaky to try it during Download. It's definitely a valid test case, though.

Networking is not supposed to be working in the offline upgrade environment. The upgrade tool is responsible to prepare all needed packages in advance.

(In reply to Chris Murphy from comment #0)

> By going back to Gnome Software and clicking Download again, and with the
> status bar starting at the far left making me think I'd have to suffer 6
> hours of downloading again, it looks like it found what it wanted in about
> 30 seconds.

Yeah, it just checked existing cache and downloaded the missing packages. The progress bar being confusing is already reported as part of bug 1335414.

Comment 4 Fedora End Of Life 2016-11-25 09:03:33 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2016-12-20 20:31:53 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.